# $Revision: 1.11 $, $Date: 2004/05/06 18:20:32 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Logfile
Summary:	Logfile - Perl extension for generating reports from logfiles
Summary(pl):	Logfile - rozszerzenie Perla do tworzenia raportw z logw
Name:		perl-Logfile
Version:	0.302
Release:	1
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	a733c079c912b98c1f17a81d32b4ee29
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Logfile extension will help you to generate various reports from
different server logfiles.

%description -l pl
Rozszerzenie Logfile pomaga przy generowaniu rozmaitych raportw z
plikw logw rnych serwerw.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Logfile
%{perl_vendorlib}/Net/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Logfile.spec,v $
Revision 1.11  2004/05/06 18:20:32  ankry
- fixed perl-devel BR

Revision 1.10  2003/08/18 08:08:57  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/06/12 23:15:37  misi3k
- updated to 0.302

Revision 1.8  2003/05/28 13:00:47  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/13 00:02:59  ankry
- merge from RA-branch: updated to 0.301

Revision 1.4  2003/03/01 19:37:52  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:35:49  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/20 23:11:03  qboosh
- new

